* Encoding: UTF-8.
TITLE CENSUS OF CANADA 1981 - BST: CT LONG FORM- CTD81B20.
SUBTITLE SPSS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher.

FILE HANDLE in NAME='x' lrecl=737.    /* Replace 'x' with input filepath name for corresponding data file. 

DATA LIST FILE=in/
  RP 1-2  CMACA 3-5  CTPN 6-12  CT 13-16  CASL 17  CASZ 18  GEONAME 19-49 (A)
HGIMPIND 50  RECTYPE 51-52 
  V11 53-61  V12 62-70  V13 71-79  V14 80-88  V15 89-97  V16 98-106  V17 107-115  V18 116-124  V19 125-133  V20 134-142 
  V21 143-151  V22 152-160  V23 161-169  V24 170-178  V25 179-187  V26 188-196  V27 197-205  V28 206-214  V29 215-223  V30 224-232 
  V31 233-241  V32 242-250  V33 251-259  V34 260-268  V35 269-277  V36 278-286  V37 287-295  V38 296-304  V39 305-313  V40 314-322 
  V41 323-331 V42 332-340  V43 341-349  V44 350-358  V45 359-367  V46 368-376  V47 377-385  V48 386-394  V49 396-404.
VARIABLE LABELS
   RP 'Region and province'
 / CMACA 'Census Metropolitan Area/Census Agglomeration'
 / CTPN 'Census tract/Provincial census tract name'
 / CT 'Census tract/Provincial census tract code'
 / CASL 'CMA/CA selector'
 / CASZ 'CMA/CA population size group'
 / GEONAME 'Name of the geographic area'
 / HGIMPIND 'Indian Reserve: High imputation area indicator'
 / RECTYPE 'Record type'
 / V11 'Population 5 yrs & over: Total'
 / V12 'Population 5 yrs & over: Males'
 / V13 'Population 5 yrs & over: Females'
 / V14 'Non-movers: Total'
 / V15 'Non-movers: Males'
 / V16 'Non-movers: Females'
 / V17 'Non-migrants: Total'
 / V18 'Non-migrants: Males'
 / V19 'Non-migrants: Females'
 / V20 'Migrants from same CMA/CA: Total'
 / V21 'Migrants from same CMA/CA: Males'
 / V22 'Migrants from same CMA/CA: Females'
 / V23 'Migrants from same prov, diff. CMA/CA: Total'
 / V24 'Migrants from same prov, diff. CMA/CA: Males'
 / V25 'Migrants from same prov, diff. CMA/CA: Females'
 / V26 'Migrants from same prov, non CMA/CA: Total'
 / V27 'Migrants from same prov, non CMA/CA: Males'
 / V28 'Migrants from same prov, non CMA/CA: Females'
 / V29 'Migrants from same prov: Total'
 / V30 'Migrants from same prov: Males'
 / V31 'Migrants from same prov: Females'
 / V32 'Migrants from diff. prov CMA/CA: Total '
 / V33 'Migrants from diff. prov CMA/CA: Males'
 / V34 'Migrants from diff. prov CMA/CA: Females'
 / V35 'Migrants from diff. prov non CMA/CA: Total'
 / V36 'Migrants from diff. prov non CMA/CA: Males'
 / V37 'Migrants from diff. prov non CMA/CA: Females'
 / V38 'Migrants from diff. prov: Total '
 / V39 'Migrants from diff. prov: Males'
 / V40 'Migrants from diff. prov: Females'
 / V41 'Migrants from outside Canada: Total'
 / V42 'Migrants from outside Canada: Males'
 / V43 'Migrants from outside Canada: Females'
 / V44 'Migrants: Total'
 / V45 'Migrants: Males'
 / V46 'Migrants: Females'
 / V47 'Movers: Total'
 / V48 'Movers: Males'
 / V49 'Movers: Females'
.
VALUE LABELS
   RP
     0  'Canada'
     10  'Newfoundland'
     11  'Prince Edward Island'
     12  'Nova Scotia'
     13  'New Brunswick'
     24  'Quebec'
     35  'Ontario'
     46  'Manitoba'
     47  'Saskatchewan'
     48  'Alberta'
     59  'British Columbia'
     60  'Yukon'
     61  'Northwest Territories'
 / CASL
     0  'Not a CMA/CA'
     1  'CMA'
     2  'CA'
 / CASZ
     0  'Not a CMA/CA'
     1  '1,000,000 & over'
     2  '500,000 - 999,999'
     3  '250,000 - 499,999'
     4  '100,000 - 249,999'
     5  '50,000 - 99,999'
     6  '25,000 - 49,999'
     7  '10,000 - 24,999'
 / HGIMPIND
     1  'Includes IR or part of IR'
 / RECTYPE
     1  'Canada'
     2  'Provinces'
     3  'Remainder'
     10  'CMA/CA'
     12  'Prov. CT subtotal'
     13  'Census tracts'
     15  'Prov. census tracts'
     16  'Census divisions'
     17  'Census subdivisions'
     18  'Federal electoral districts'
     19  'Enumeration areas'
.
MISSING VALUES
.
SAVE OUTFILE= 'y'/* Replace 'y' with name to give your system file
 /MAP
  /COMPRESSED. /* Delete this line if you want an uncompressed file


Execute.
